### Enumeration

# GdkDragAction

#### Declaration

    flags Gdk.DragAction

#### Description [src]

Used in `GdkDrop` and `GdkDrag` to indicate the actions that the destination can and should do with the dropped data.

#### Members

`GDK_ACTION_COPY`

  Copy the data.

  - Value: `1`
  - Nickname: `copy`
  - Available since: 4.0
`GDK_ACTION_MOVE`

  Move the data, i.e. first copy it, then delete it from the source using the DELETE target of the X selection protocol.

  - Value: `2`
  - Nickname: `move`
  - Available since: 4.0
`GDK_ACTION_LINK`

  Add a link to the data. Note that this is only useful if source and destination agree on what it means, and is not supported on all platforms.

  - Value: `4`
  - Nickname: `link`
  - Available since: 4.0
`GDK_ACTION_ASK`

  Ask the user what to do with the data.

  - Value: `8`
  - Nickname: `ask`
  - Available since: 4.0

#### Type functions

###### gdk_drag_action_is_unique

Checks if `action` represents a single action or includes multiple actions.